summaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2004-03-24 21:15:21 +0000
committerLennart Poettering <lennart@poettering.net>2004-03-24 21:15:21 +0000
commitc174f20109543c0a0bc999369784a8ee52f7141c (patch)
treed8a892a1264831e9829f363c03bf3ae4bf7e5223 /bootstrap.sh
parent85b5c5365026f6a49d441e11810e8e3fe1d57ea8 (diff)
initial commit
git-svn-id: file:///home/lennart/svn/public/mod_mime_xattr/trunk@3 f01872de-66d6-0310-9185-fc3b30f50adc
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..f843d46
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+# $Id$
+
+# Copyright 2004 Lennart Poettering
+#
+# Licensed under the Apache License, Version 2.0 (the "License"); you
+# may not use this file except in compliance with the License. You
+# may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+
+run_versioned() {
+ local P
+ type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"
+
+ shift 2
+ "$P" "$@"
+}
+
+if [ "x$1" = "xam" ] ; then
+ set -ex
+ run_versioned automake 1.7 -a -c
+ ./config.status
+else
+ set -ex
+ rm -rf autom4te.cache
+ rm -f config.cache
+
+ run_versioned aclocal 1.7
+ autoheader
+ run_versioned automake 1.7 -a -c
+ autoconf -Wall
+
+ ./configure --sysconfdir=/etc "$@"
+
+ make clean
+fi